Get a custom field definition
GET
/api/v3/contacts/custom-fields/{fieldId}
const url = 'https://api.tryletterhead.com/api/v3/contacts/custom-fields/1?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/contacts/custom-fields/1?api=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β fieldId
required
integer
The fieldβs numeric identifier, from List custom field definitions.
Query Parameters
Section titled βQuery Parameters β api
required
boolean
Required. Set to true.
Responses
Section titled β Responses β200 OK
Media type application/json
object
items
object
id
integer
name
string
label
string
type
string
required
boolean
sortOrder
integer
createdAt
string
updatedAt
string
source
string
message
string
total
integer
Example generated
{ "items": { "id": 1, "name": "example", "label": "example", "type": "example", "required": true, "sortOrder": 1, "createdAt": "example", "updatedAt": "example", "source": "example" }, "message": "example", "total": 1}Still can’t find what you need? Contact support.